using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.Web.UI.WebControls.Grid.Grouping.Common;
using Syncfusion.Web.UI.WebControls.Shared;
using Syncfusion.Web.UI.WebControls.Tools;
using Syncfusion.Grouping;
using System.Drawing;
public partial class TestArrayBinding : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ArrayList array = new ArrayList();
            array.Add(new MyClass(001, "John David", "UK"));
            array.Add(new MyClass(002, "Tom", "USA"));
            array.Add(new MyClass(003, "Bretney", "USA"));
            array.Add(new MyClass(004, "Jessy", "UK"));
            array.Add(new MyClass(005, "Bruch", "USA"));
            array.Add(new MyClass(006, "Johny", "USA"));
            this.GridGroupingControl1.DataSource = array;
            this.GridGroupingControl1.AutoFormat = "Office 2003 Silver";
            this.GridGroupingControl1.DataSourceCachingMode=DataSourceCachingMode.ViewState;
        }
        if (!CheckBox1.Checked)
            ScriptManager1.RegisterPostBackControl(GridGroupingControl1);
        this.GridGroupingControl1.QueryCellStyleInfo += new Syncfusion.Web.UI.WebControls.Grid.Grouping.GridTableCellStyleInfoEventHandler(GridGroupingControl1_QueryCellStyleInfo);
        this.GridGroupingControl1.TableOptions.ListBoxSelectionMode = SelectionMode.MultiExtended;
       
    }

    public class TemplateClass : ITemplate
    {
        private Control m_ctrlChildControl = null;
        public TemplateClass(Control ctrlChildControl)
        {
            m_ctrlChildControl = ctrlChildControl;
        }

        public void InstantiateIn(Control container)
        {
            container.Controls.Add(m_ctrlChildControl);
        }
    }

    void GridGroupingControl1_QueryCellStyleInfo(object sender, Syncfusion.Web.UI.WebControls.Grid.Grouping.GridTableCellStyleInfoEventArgs e)
    {
        if (e.TableCellIdentity.TableCellType == Syncfusion.Web.UI.WebControls.Grid.Grouping.GridTableCellType.AlternateRecordFieldCell || e.TableCellIdentity.TableCellType == Syncfusion.Web.UI.WebControls.Grid.Grouping.GridTableCellType.RecordFieldCell)
        {
            if (e.TableCellIdentity.Column.Name == "City")
            {
                if (e.TableCellIdentity.RowIndex == 9)
                {
                    e.Style.CellType = "Image";
                    e.Style.ImageUrl = "add.png";
                }
            }
        }
    }
   
    [Serializable]
    public class MyClass
    {
        int id;
        string name;
        string city;
        public MyClass(int id, string name, string city)
        {
            this.ID = id;
            this.Name = name;
            this.City = city;
        }

        public int ID
        {
            get { return id; }
            set { id = value; }
        }

        public string Name
        {
            get { return name; }
            set { name = value; }
        }
        public string City
        {
            get { return city; }
            set { city = value; }
        }
    }
   
}
